:root {
    --omni-light: rgb(48, 255, 255); /* #30FFFF */
    --omni-light-10: rgb(48, 255, 255, 0.1);
    --omni-light-20: rgb(48, 255, 255, 0.2);
    --omni-light-40: rgb(48, 255, 255, 0.4);
    --omni-mid: rgb(47,207,211); /* #2FCFD3 */
    --omni-mid-10: rgb(47,207,211, 0.1);
    --omni-mid-20: rgb(47,207,211, 0.2);
    --omni-mid-40: rgb(47,207,211, 0.4);
    --omni-dark: rgb(20, 30, 51); /* #141E33 */
    --omni-dark-10: rgb(20, 30, 51, 0.1);
    --omni-dark-20: rgb(20, 30, 51, 0.2);
    --omni-dark-40: rgb(20, 30, 51, 0.4);
    --omni-dark-60: rgb(20, 30, 51, 0.6);
    --omni-green: rgb(110, 192, 32); /* #6EC020 */
    --omni-green-10: rgb(110, 192, 32, 0.1);
    --omni-green-20: rgb(110, 192, 32, 0.2);
    --omni-green-40: rgb(110, 192, 32, 0.4);
    --omni-gradient: linear-gradient(235deg, #FFFFFF 0.5%, rgba(47, 207, 211, 0.6) 10%, rgba(20, 30, 51, 1) 40%);
    --omni-heading: rgb(28 129 130); /* #1C8182 minimum required contrast to pass WCAG AA */
}

html {
    font-size: 18px;
}

body {
    font-family: 'mundial', sans-serif;
    color: var(--omni-dark);
}

.container {
    padding-left: var(--bs-gutter-x);
    padding-right: var(--bs-gutter-x);
}

.top-section {
    padding-top: 10rem;
}

table {
    border-collapse: separate;
}

h1, h2, h3, h4 {
    color: var(--omni-heading);
    font-family: 'co-headline', sans-serif;
    font-weight: 400;
    font-size: 2.5rem;
    line-height: 120%;
    margin-bottom: 1rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    color: var(--omni-dark);
    font-size: 2rem;
}

h4 {
    color: var(--omni-dark);
    font-size: 1.5rem;
    line-height: 150%;
}

p {
    font-weight: 200;
    line-height: 150%;
}

a {
    color: var(--omni-dark);
    text-decoration: none;
}
    a:hover {
        text-decoration: none;
    }

.intro {
    max-width: 66%;
}
    .intro a {
        text-decoration: underline;
    }

.btn {
    font-size: 0.8rem;
    text-transform: uppercase;
    padding: 8px 20px;
    border-radius: 50px;
    font-weight: 400;
    letter-spacing: 1px;
    text-align: center;
    /* Bootstrap overrides */
    --bs-btn-active-color: var(--omni-dark);
    --bs-btn-active-bg: var(--omni-mid);
    --bs-btn-active-border-color: var(--omni-light);
}

    .btn.disabled, .btn:disabled, fieldset:disabled .btn {
        opacity: 0.7;
        pointer-events: none;
        color: var(--omni-dark);
        background-color: var(--omni-mid-40);
        border-color: var(--omni-dark-20);
    }

    .btn-primary, .btn-primary.active {
        color: var(--omni-dark);
        background-color: var(--omni-light);
        border-color: transparent;
    }
    .btn-primary:hover {
        color: var(--omni-dark);
        background-color: var(--omni-mid);
        border-color: var(--omni-light);
    }

.btn-secondary, .btn-secondary.active {
    color: #fff;
    background-color: var(--omni-dark);
    border-color: var(--omni-mid);
}

    .btn-secondary:hover {
        background-color: var(--omni-dark);
        border-color: var(--omni-light);
    }

.btn.btn-link {
    color: var(--omni-heading);
    text-decoration: none;
    text-align: left;
    padding: 0px !important;
}

    .btn-link:hover {
        color: var(--omni-mid);
    }

.article-published {
    text-transform: uppercase;
}

.article-title {
    color: var(--omni-dark);
    font-size: 1.2rem;
}
    .article-title:hover {
        color: var(--omni-mid);
    }

.article-summary {
    margin-bottom: 1.4rem;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.card-header {
    color: #fff;
    background: var(--omni-gradient);
}

.card-img-top {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.spinner-border {
    color: var(--omni-mid);
}

/* Form Styles */
.form-control:focus {
    border-color: var(--omni-mid);
    box-shadow: 0 0 0 0.2rem var(--omni-light-40);
} 

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.brand-logo {
    max-height: 7rem;
    left: 0;
    top: 0;
    justify-content: flex-start;
    z-index: 999;
}

/* Responsive Styles */
@media (max-width: 1399px) {
    .intro {
        max-width: 75%;
    }
}

@media (max-width: 1199px) {
    .intro {
        max-width: 100%;
    }
}

@media (max-width: 991px) { /* Breakpoint for desktop - mobile styling transition */

    html {
        font-size: 14px;
    }

    .top-section {
        padding-top: 8rem;
    }
}

@media (max-width: 767px) {

    html {
        font-size: 12px;
    }
}

/*Mudblazor components*/
.mud-simple-table.mud-table-sticky-header * table thead * th {
    background-color: var(--mud-palette-surface);
    position: sticky;
    z-index: 2;
    top: 0;
}

.mud-table-proc-fee {
    margin-bottom: 2rem;
}

.mud-table-proc-fee .mud-table-container {
    height: 75dvh !important;
}

.mud-table-group-head-custom {
    background-color: var(--omni-mid-40);
}

.mud-table-group-head-custom.mud-table-cell {
    font-size: 1em;
    font-weight: 400;
    background-color: var(--omni-mid-40);
}

.mud-table-group-foot-custom {
    background-color: rgb(243,244,245) !important;
}

.mud-table-cell {
    font-weight: 300;
}

.mud-grid-item * {
    font-size: 1em;
}

.mud-table-cell-bordered {
    border: solid var(--mud-palette-table-lines);
    border-width: 1px 0 1px 1px;
}

.mud-table-cell-head {
    background-color: rgb(243,244,245) !important;
}

.mud-table-cell-head-primary {
    background-color: rgb(219,245,246) !important;
}

.mud-table-cell-head-secondary {
    background-color: rgb(227,243,212) !important;
}

.mud-table-cell-body-primary {
    background-color: var(--omni-light-10);
}

.mud-table-cell-body-secondary {
    background-color: var(--omni-green-10);
}